Subject: [6tisch-security] Who initiates Phase 2?

From: Mališa Vučinić <[email-masked]>
Date: Wed, 30 Nov 2016 10:24:59 +0100

Michael,

Coming back to the discussion on who initiates the exchange in Phase 2 of the join protocol.

My understanding of the IETF 97 meeting outcome is that Phase 1 and Phase 2 will be ran in sequence. Phase 1 runs to completion with manufacturer-installed certificate as the start state and locally-relevant credential as the end state. Phase 2 immediately takes over and uses the locally-relevant credential as the start state and network-wide K2 as the end state. 

In that setup, I don’t really see why it matters who initiates Phase 2. Being it JCE, we end up having a PUT and a response (two messages). Being it JN, we end up with a GET and a response (two messages). Either way, messages are exchanged in a sequence initiated by the party that initiated Phase 1. Matching CoAP’s client/server role to the role in the key agreement protocol is not necessary, I believe. Am I missing something?

Mališa